#!/bin/bash

iface=$(iw dev | awk '$1=="Interface"{print $2}' | grep '^wlan')
file="/etc/wpa_supplicant/wpa_supplicant-monopoly.conf"


sudo ip addr flush dev $iface
sudo killall wpa_supplicant
sudo truncate -s 0 /tmp/wifi_connection_status.txt
sudo wpa_supplicant -B -i $iface -f /tmp/wifi_connection_status.txt -c $file

declare -i i=0
declare -i timeout=8
while [ $i -le $timeout ]; do
    if grep -iq 'CTRL-EVENT-CONNECTED' /tmp/wifi_connection_status.txt; then
        sudo dhclient $iface
        echo "!!ok"
        exit 0
    elif grep -iq '4-Way Handshake failed' /tmp/wifi_connection_status.txt; then
        exit 2
    fi

    (( i++ ))
    sleep 1
done
echo "!!nok"
exit -1