

export type IPCChannel =
    'WIFI_STATUS'
    | 'WIFI_SCAN'
    | 'WIFI_LIST'
    | 'WIFI_CONNECT'
    | 'FUNCTION_TEST'
    | 'CLOUD_STATUS'
    | 'CLOUD_CONNECT'


export interface IPCAnswer {
    status: boolean,
    data?: any
}

export interface IPCRequest {
    data?: any,
}

export interface WiFiNetwork {
    ssid: string,
    isSecured: boolean,
    isKnown?: boolean,
    psk?: string,
    rssi?: number,
}

export interface FunctionTest {
    hasSudo: boolean,
    hasWPASupplicant: boolean,
    hasInternet: boolean
}