import { ipcMain } from 'electron';
import IpcMainInvokeEvent = Electron.IpcMainInvokeEvent;
import {IPCAnswer, IPCChannel, IPCRequest} from "./IPCConstants";


export const IPCHandler = (
    channel: IPCChannel,
    listener: (
        event: IpcMainInvokeEvent,
        request: IPCRequest,
        ...args: any[]
    ) => Promise<IPCAnswer> | IPCAnswer
): void => {
    ipcMain.handle(channel, listener);
};

//