import {IPCAnswer, IPCChannel, IPCRequest} from "../IPCConstants";
import IpcRendererEvent = Electron.IpcRendererEvent;
import {App} from "./App"

export {}
declare global {
    interface Window {
        "api": {
            request: (channel: IPCChannel, request: IPCRequest, ...args: any) => Promise<IPCAnswer>;
            listen: (channel: IPCChannel, func: (event: IpcRendererEvent, message: IPCAnswer, ...args: any) => void) => void;
        }
        app: App;
    }
}